| Home | Libraries | People | FAQ | More

###### saved_handler::emplace (2 of 2 overloads)

Store a completion handler in the container.

###### Synopsis

    template<
        class Handler>
    void
    emplace(
        Handler&& handler,
        net::cancellation_type cancel_type = net::cancellation_type::terminal);

###### Description

Requires this->`has_value()` == false . The implementation will use the handler's associated allocator to obtian storage.

###### Parameters

Name | Description
--- | ---
`handler` | The completion handler to store. The implementation takes ownership of the handler by performing a decay-copy.
`cancel_type` | The type of cancellation allowed to complete this op.